VCDIFF(1)

NAME
vcdiff - encoder/decoder for VCDIFF (RFC 3284) format

DESCRIPTION

vcdiff {encode|delta|decode|patch} -dictionary <filename> [<options>]

encode or delta: create delta file from dictionary and target file

decode or patch: reconstruct target file from dictionary and delta file

-dictionary <filename>
File containing dictionary data (also known as source data.) Required for all operations.

-target <filename>
File name of the target file (unencoded data). The default value (blank) causes vcdiff to use standard input for encode, or standard output for decode.

-delta <filename>
File name of the delta file (encoded data). The default value (blank) causes vcdiff to use standard output for encode, or standard input for decode.

-checksum
Include an Adler32 checksum of the target data when encoding. Default is false.

-interleaved
Use interleaved format. Default is false.

-stats
Write a report to stderr, containing the original target size, compressed delta size, and compression percentage. Default is false.

-target_matches
Find duplicate strings in target data as well as dictionary data. Default is false.

-buffersize <integer>
The memory buffer size (in bytes) used for reading the input file. Default is 1048576 (1 MB); if the input file is smaller than that, the buffer will match the file size. This parameter does not usually need to be specified.

SEE ALSO
Further documentation for open-vcdiff can be found online at http://code.google.com/p/open-vcdiff/